/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.util.event.api;

/**
 * Define the base interface for an event provider.<br>
 * This interface extends IEventDispatcher to allow to name providers and to delegate events dispatching.
 * @author missonng
 */
public interface IEventProvider extends IEventDispatcher {
    /**
     * Get the event provider id.
     * @return The event provider id.
     */
    String getId();

    /**
     * Get the delegate event dispatcher.
     * @return The delegate event dispatcher.
     */
    IEventDispatcher getDispatcher();

    /**
     * Set the delegate event dispatcher.
     * @param dispatcher The delegate event dispatcher.
     */
    void setDispatcher(IEventDispatcher dispatcher);
}
