/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.util.event.api.exception;

/**
 * Exception thrown when a provider id is malformed.
 * @author missonng
 */
public class EventIdMalformed extends Exception {
    /**
     * The EventIdMalformed class serialVersionUID.
     */
    private static final long serialVersionUID = 1L;

    /**
     * The EventIdMalformed constructor.
     */
    public EventIdMalformed() {
        super();
    }

    /**
     * The EventIdMalformed constructor.
     * @param message The exception message.
     */
    public EventIdMalformed(final String message) {
        super(message);
    }

    /**
     * The EventIdMalformed constructor.
     * @param cause The exception cause.
     */
    public EventIdMalformed(final Throwable cause) {
        super(cause);
    }

    /**
     * The EventIdMalformed constructor.
     * @param message The exception message.
     * @param cause The exception cause.
     */
    public EventIdMalformed(final String message, final Throwable cause) {
        super(message, cause);
    }
}
